Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03498 Graphics Minor Always Oct 30, 2009, 19:30 Nov 5, 2009, 13:00
Tester user666 View Status Public Platform MAME (Official Binary)
Assigned To Haze Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved Driver suprnova.cpp
Version 0.134u3 Fixed in Version 0.135u1 Build Normal
Summary 03498: sengekis, sengekisj: Missing graphic layer in Stages 3 and 5
Description In Stages 3 and 5 where floating turrets appear, background layers around the turrets are missing. This is particularly evident towards the end of Stage 3, where the boss simply pops out from a floating hatch, then the hatch disappears afterwards. MAMEnd shows a Stage 3 boss screen shot that includes the missing background, which indicates the bug was introduced in a later build prior to the tested version in this report.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems sengekis, sengekisj
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.05085
Haze
Senior Tester
Oct 30, 2009, 19:57
it probably broken when I rewrote the priority code then, the priorities should actually be much better in 99% of cases since that rewrite, I guess this must be an exception, and could make a useful test case.
User avatar
No.05087
Tafoid
Administrator
Oct 30, 2009, 20:16
To poster:
When posting bugs about graphics, please post before and after snaps of the issue in question. Fortunately, we have a Dev here who knows what you are referring too but in general, a picture illustrating the issues is desired.
User avatar
No.05129
Haze
Senior Tester
Nov 4, 2009, 21:49
edited on: Nov 4, 2009, 21:50
can somebody find the exact version where this broke?

It's not a priority problem, it sems to be a zooming tilemap problem, although the values that get passed in look weird so I'd like to compare it with the last version that worked.

You'll probably want to use cheats, this game is evil, and getting to the end of level 3 is HARD.
User avatar
No.05131
Haze
Senior Tester
Nov 5, 2009, 12:45
ok I see what's wrong, my custom roz draw doesn't handle negative increments, and becaue sengekis is 'always flipped' it breaks when they enable roz at that point.